Skip to main content
GET
Get recent trades

Path Parameters

instrument_id
string
required

Instrument ID.

Query Parameters

limit
string

Maximum number of trades to return. Default 100. For your own fills, use GET /api/fills.

Response

200 - application/json

Recent trades

timestamp_ns
integer<int64>
required

Trade time in nanoseconds since the Unix epoch.

Example:

1795812345678000000

trade_id
string

Trade id, as a canonical decimal string.

Example:

"798471892349"

instrument_id
string

Instrument id, as a canonical decimal string.

Example:

"598471892347"

price
string

Trade price per YES contract in USDC, as a decimal string.

Example:

"0.590000"

quantity
string

Traded quantity in contracts, as a decimal string.

Example:

"10.00"

side
string

Side of the order that took liquidity: BUY or SELL of the YES contract.

Example:

"BUY"